<script setup lang="ts">
import type { Permission } from '~/models/role'
import { permissions } from '~/const/page-permission/chemoteraphy'
import Error from '~/components/pub/my-ui/error/error.vue'
import Content from '~/components/content/encounter/process.vue'

definePageMeta({
  middleware: ['rbac'],
  roles: ['emp|doc', 'emp|nur', 'emp|reg', 'emp|pha', 'emp|pay', 'emp|mng'],
  title: 'Tambah Kunjungan',
  contentFrame: 'cf-full-width',
})

// Preps role checking
const roleAccess: Record<string, Permission[]> = permissions['/outpatient/encounter'] || {}
const { checkRole, hasReadAccess } = useRBAC()

// Check if user has access to this page
const hasAccess = checkRole(roleAccess)
if (!hasAccess) {
  navigateTo('/403')
}

// Define permission-based computed properties
const canRead = hasReadAccess(roleAccess)

// Page needs
const route = useRoute()
useHead({
  title: () => `${route.meta.title}`,
})
</script>

<template>
  <div v-if="canRead">
    <Content class-code="ambulatory" sub-class-code="chemo" />
  </div>
  <Error v-else :status-code="403" />
</template>
